
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>一个Android项目多线程下载模块开源库：AndroidFileDownloader / iVAN</title>

    <meta name="description" content="一个Android项目多线程下载模块开源库：AndroidFileDownloader 使用场景 apk应用内更新,其他中小文件的下载,断点续传下载等,先来看看效果图: 简单方便的调用接口 调用者只要设置好下载路径.文件后缀,丢一个url即可开始下载,并且可以根据需要监听进度,例如: FileDownloader mDownloader = FileDownloader.getInstance(getApplication()); mDownloader.setExtend(&quot;.apk&quot;); mDownloader.setFilePath(Environment ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">一个Android项目多线程下载模块开源库：AndroidFileDownloader</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p><strong>使用场景</strong><br />
apk应用内更新，其他中小文件的下载，断点续传下载等，先来看看效果图：</p>
<p><a href="http://liuguangli.gotoip1.com/wp-content/uploads/2015/09/simple.jpeg" rel="external nofollow noreferrer"><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvbGl1Z3VhbmdsaS5nb3RvaXAxLmNvbS93cC1jb250ZW50L3VwbG9hZHMvMjAxNS8wOS9zaW1wbGUtMTY5eDMwMC5qcGVn.jpg"></a></p>
<p><strong>简单方便的调用接口</strong><br />
调用者只要设置好下载路径、文件后缀，丢一个url即可开始下载，并且可以根据需要监听进度，例如：<code><br /></code></p>
<pre><code>FileDownloader mDownloader = FileDownloader.getInstance(getApplication());
mDownloader.setExtend(".apk");
mDownloader.setFilePath(Environment.getExternalStorageDirectory() + "/apk/");
mDownloader.addFile("http://zhuzher.vanke.com/uip/zhuzher.apk");
mDownloader.setDownloadObserver(new DownloadObserver() {
@Override
public void onUpdate(String apkUrl, String file,
int completeSize, int apkFileSize) {
//do your thing
}
@Override
public void onComplete(String file) {
//do your thing
}
@Override
public void onError(String apkUrl, int type, int state) {
//do your thing
}
});</code></pre>
<p>如果你只关心使用，拿来就用，文章到这里不用往下看了，直接到我的<a href="https://github.com/liuguangli/AndroidFileDownloader" rel="external nofollow noreferrer">Github仓库下载源码</a>和例子吧。当然我很希望读者一起来理解下简单的实现原理。<br /><strong>设计与实现</strong><br />
多线程下载的实现，生产者消费者模式,对于设计实现层面的东西个人更喜欢用图说明，序列图如下：<br /><a href="http://liuguangli.gotoip1.com/wp-content/uploads/2015/09/getimage1.png" rel="external nofollow noreferrer"><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvbGl1Z3VhbmdsaS5nb3RvaXAxLmNvbS93cC1jb250ZW50L3VwbG9hZHMvMjAxNS8wOS9nZXRpbWFnZTEucG5n.jpg"></a><br /><strong>FileDownloader:</strong>直接面向调用者，使用者只care文件的url，下载存储路径，下载进度状态，我们致力将对外接口封装的尽量简单方便，所以仅仅提供一个addFile() 方法,传入url，文件路径，回调监听器。<br /><strong>DownloaderListener:</strong>下载进度或状态监听接口，调用者实现回调方法处理进度状态。<br />
CreatorThread:生产者线程，这个线程通过url获取文件大小，再将文件分片组装成下载任务段。<br />
TaskList: 任务队列，生产者线程可以往里面增加任务段，消费者线程可以从里面取出一段下载任务，这个过程是同步的。<br />
DownloadThread:消费者线程，负责消费任务队列里面的任务段。</p>
<p>GitHub账号：<a href="https://github.com/liuguangli/" rel="external nofollow noreferrer">https://github.com/liuguangli</a>，欢迎fork，贡献你的idea，一起做好每一件小事。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-17 16:08:19</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong>         </div> -->
	</section>
	
	

		<div id="similar">

		<h3>一个Android项目多线程下载模块开源库：AndroidFileDownloader的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Mr2egyM.html" rel="bookmark">Android版多线程下载 仿下载助手（最新）&lowbar;Android</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				首先声明一点: 这里的多线程下载并不是指多个线程下载一个 文件,而是每个线程负责一个文件,今天给大家分享一个多线程下载的 例子.先看一下效果,点击下载开始下载,同时显示下载进度,下载完成,变成程安装,点击安装提示安装应用. 界面效果图: 线程池ThreadPoolExecutor ,先简单学习下这个线程池的使用 /** * Parameters: corePoolSize the number of threads to keep in the pool, even if they are id			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pX0XZLp.html" rel="bookmark">Android官方入门文档&lbrack;1&rsqb;创建一个Android项目</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Android官方入门文档[1]创建一个Android项目   创建一个Android项目   这节课教你1.创建与Android Studio中的一个项目2.创建使用命令行工具项目 你也应该阅读•管理项目 Creating an Android Project This lesson teaches you to1.Create a Project with Android Studio2.Create a Project with Command Line Tools You should			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zJ7Ee2b.html" rel="bookmark">创建你的第一个Android项目</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  随着移动互联网的迅速发展,前端的概念已发生很大的变化,已不仅仅局限在网页端.而Android系统作为智能机市场的老大,作为前端开 发工程师,非常有必要了解和学习.但面对众多学习资料,站在前端开发工程师的角色,怎样挑选出合适的路进行快速学习,而不必浪费大量时间去摸索,该系列文 章希望能帮助到小伙伴们. 文章会挑选几个实际的例子,贯穿在整个系列中,涉及到Java.Android.程序设计等多方面知识,力求让大家快速掌握.俗话说,工欲善其事,必先利其器,系列的第一篇就从Window系统下Andro			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zeo0DOM.html" rel="bookmark">《Android应用开发从入门到精通》&mdash;&mdash;第2章，第2&period;3节创建第一个Android项目</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				2.3 创建第一个Android项目 Android应用开发从入门到精通 2.3.1 创建新项目 打开Eclipse,选择 File→New→Android Application Project.如果没有Android Application Project这一条,这时可以选择Other找到Android Application Project. 进入New Project对话框,分别进行如下设置,如图2.7所示. 词条解释如下. Project Name 包含这个项目的资料夹的名称. App			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p5QqmRp.html" rel="bookmark">用Eclipse搭建Android开发环境并创建第一个Android项目（eclipse&plus;android sdk）&lowbar;Android</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.搭建Android开发环境 准备工作:下载Eclipse.JDK.Android SDK.ADT插件 1.安装和配置JAVA开发环境:   ①把准备好的Eclipse和JDK安装到本机上(最好安装在全英文路径下),并给JDK配置环境变量,其中JDK的变量值为JDK安装路径的根目录,如我的为:D:\Program Files\Java\jdk1.7.0_02: ②打开命令提示符(cmd),输入java -version命令,显示如下图则说明JAVA环境变量已经配置好了. 2.安装ADT插件:			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zePBo0p.html" rel="bookmark">Android实现多线程下载文件的方法&lowbar;Android</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例讲述了Android实现多线程下载文件的方法.分享给大家供大家参考.具体如下: 多线程下载大概思路就是通过Range 属性实现文件分段,然后用RandomAccessFile 来读写文件,最终合并为一个文件 首先看下效果图: 创建工程 ThreadDemo 首先布局文件 threaddemo.xml &lt;?xml version=&quot;1.0&quot; encoding=&quot;utf-8&quot;?&gt; &lt;LinearLayout xmlns:android=&quo			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bjjNnWb.html" rel="bookmark">Android实现多线程下载文件的方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例讲述了Android实现多线程下载文件的方法.分享给大家供大家参考.具体如下: 多线程下载大概思路就是通过Range 属性实现文件分段,然后用RandomAccessFile 来读写文件,最终合并为一个文件 首先看下效果图: 创建工程 ThreadDemo 首先布局文件 threaddemo.xml &lt;?xml version=&quot;1.0&quot; encoding=&quot;utf-8&quot;?&gt; &lt;LinearLayout xmlns:android=&quo			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zO2gv5p.html" rel="bookmark">用Eclipse搭建Android开发环境并创建第一个Android项目（eclipse&plus;android sdk）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.搭建Android开发环境 准备工作:下载Eclipse.JDK.Android SDK.ADT插件 1.安装和配置JAVA开发环境: ①把准备好的Eclipse和JDK安装到本机上(最好安装在全英文路径下),并给JDK配置环境变量,其中JDK的变量值为JDK安装路径的根目录,如我的为:D:\Program Files\Java\jdk1.7.0_02: ②打开命令提示符(cmd),输入java -version命令,显示如下图则说明JAVA环境变量已经配置好了. 2.安装ADT插件: ①打			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MN7mayp.html" rel="bookmark">求解决-导入一个android项目运行后出现界面混乱怎么解决？</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 导入一个android项目运行后出现界面混乱怎么解决? 解决方案 看着好像是在低分辨率的模拟器上用了只有高分辨率图片的项目,看看资源图片里面的资源有没有你这个模拟器对应的图片			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Lp5Z6zn.html" rel="bookmark" class="title">360用户等级有什么用</a>
					<div>
						  360注册用户通过积累经验值升级,在达到一定级别后,将有机会获得一些有趣的奖励,包括:各种浏览器等级特权,参加不定期举办的活动的资格,获取参与新产品新功能内测和试用,以及获赠各种奖品的机会等.当然 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/qMq78kz.html" rel="bookmark" class="title">【OpenCV】访问图像中每个像素的值 &lpar;I&rpar;</a>
					<div>
						最近要做的东西要对每个像素值进行处理,所以上网搜... 居然发现搜出来的好文章都是一个人写的,而且还是一个妹子..于是收藏之...按时间顺序发! 转载请注明出处:http://blog.csdn.ne ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/VMr0Ajz.html" rel="bookmark" class="title">使用Perl连接Mysql数据库</a>
					<div>
						网站后台数据库转为Mysql,现在使用Perl连接数据库就方便多了. 通过DBI,Perl可以很容易的连接到数据库: #!/bin/perl use DBI; # Connect to target  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/vbQmqGb.html" rel="bookmark" class="title">最全的Win XP系统找回密码技巧</a>
					<div>
						Windows XP的安全性有了很大提高,它可以让不同的用户拥有自己的桌面和设置,起到保护用户隐私的作用.但是,当企业员工离职又没有公开密码,或用户把自己的密码忘记之后该怎么办呢?下面提供几种办法供大 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/qMqZY2p.html" rel="bookmark" class="title">浅谈网站导航如何进行优化</a>
					<div>
						在天朝的国度不管对产品或者服务,客户讲究的是货比三家,这方面客户显得尤为挑剔,因此即使你把用户引进网站,他们也可能不会直接购买产品或者服务,往往会通过不断浏览,评测和咨询后才可能成交.而在客户进行浏览 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5AQ6qp.html" rel="bookmark" class="title">深入学习CSS布局网页的制作</a>
					<div>
						你正在学习CSS布局吗?是不是还不能完全掌握纯CSS布局?通常有两种情况阻碍你的学习: 第一种可能是你还没有理解CSS处理页面的原理.在你考虑你的页面整体表现效果前,你应当先考虑内容的语义和结构,然后 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z4wYqYp.html" rel="bookmark" class="title">如何维护硬盘</a>
					<div>
						1.硬盘容量限制问题 有些老主板不能支持大容量硬盘,其实这就是所谓的&quot;硬盘容量限制问题&quot;.这里我们分析一下容量限制产生的原因. (1)容量限制问题 以前的工程师在设计磁存储产品时, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bj7dmnM.html" rel="bookmark" class="title">使用silverlight构建一个工作流设计器&lpar;二十&rpar;-增加标签（上）</a>
					<div>
						源代码下载:http://www.shareidea.net/opensource.htm 在线演示:http://www.shareidea.net/workflow.htm 视频教程: http: ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0P0vmM.html" rel="bookmark" class="title">解析用Pixate制作shared element元素扩展转场效果</a>
					<div>
						  很久没有更新教程了.最近一阵比较忙.今天简单分享下如何用Pixate制作利用单个元素进行扩展转场的效果. 效果如下: 其实这个效果在Pixate里制作并不难,只是步骤相对有点繁琐. 最重要的是,一 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b24wyBp.html" rel="bookmark" class="title">Word使用操作技巧：面对文献编号、查看文献条目</a>
					<div>
						  16.4.9 面对文献编号.查看文献条目 这是16.1节所说的.也有2种情况: 面对的是&quot;父&quot;编号,太好了,鼠标指向编号,就看到了(犹如9.2.10.3节.图 9 5) ~~~ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9ErNXM.html" rel="bookmark" class="title">设计模式之动态代理&lpar;dynamic proxy&rpar;</a>
					<div>
						1 动态代理与静态代理 我们从上一篇设计模式之代理模式一文中已经知道,在代理模式中代理对象和被代理对象一般实现相同的接口,调用者与代理对象进行交互.代理的存在对于调用者来说是透明的,调用者看到的只是接 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPPL8vp.html" rel="bookmark" class="title">c-C&sol;C&plus;&plus;转换问题，如何有效的转换？</a>
					<div>
						问题描述 C/C++转换问题,如何有效的转换? #include#includechar dictionary[10][6]={&quot;&quot;zero&quot;&quot;one&quot ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJkYG6b.html" rel="bookmark" class="title">《ANSYS Workbench有限元分析实例详解（静力学）》&mdash;&mdash;导读</a>
					<div>
						前言 CAE是计算机辅助求解复杂工程和产品结构各项性能和优化设计等问题的一种近似数值分析方法,适用于工程的整个生命周期.ANSYS软件是最经典的CAE软件之一,在国内应用广泛.近些年ANSYS公司收购 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MN76EJp.html" rel="bookmark" class="title">json-lib把XML转化为json</a>
					<div>
						1,依赖的jar包 Xml代码       &lt;dependency&gt;           &lt;groupId&gt;net.sf.json-lib&lt;/groupId&gt;    ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPPjy1p.html" rel="bookmark" class="title">用uploadify插件上传文件，本地能上传成功，但是上传到服务器就报错</a>
					<div>
						问题描述 用uploadify插件上传文件,本地能上传成功,但是上传到服务器就报错 上图是根据网上找的例子修改了的,结果本地上传都失败, 上图是之前的,在本地发布都能上传成功,但是到服务器发布都不行了 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bB1dgoz.html" rel="bookmark" class="title">svn locale Can&amp;amp&semi;&num;39&semi;t convert string from native encoding to &amp;amp&semi;&num;39&semi;UTF-8&amp;amp&semi;&num;39&semi;</a>
					<div>
						svn 提交代码报错,原因很简单,编码的问题 报错信息 shell&gt;svn update test svn: warning: cannot set LC_CTYPE locale svn: w ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2Rwwkb.html" rel="bookmark" class="title">socket &num;-C&num;SOCKET长连接小数据程序未响应</a>
					<div>
						问题描述 C#SOCKET长连接小数据程序未响应 最近由于业务的需要,Linux系统嵌入式设备往我做的服务程序发送数据. 速度奇慢,而且还是程序无响应.后来自己用C#写了一个客户端用来测试.已经用了线 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pke15Eb.html" rel="bookmark" class="title">socket&period;io，环境搭建 &amp;amp&semi; Hello world</a>
					<div>
						原文:http://www.cnblogs.com/xiezhengcai/p/3955827.html  socket.io 一个与服务器实时通信的工具,它与原生的webSocket相比,具有更可靠 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRDJDdz.html" rel="bookmark" class="title">六种方法教会你网页代码的优化</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 随着百度等搜索引擎对网站用户体验度 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z40aJNz.html" rel="bookmark" class="title">android-在音乐播放器中怎么返回你点击的列表</a>
					<div>
						问题描述 在音乐播放器中怎么返回你点击的列表 做了一个音乐播放器点击一首歌进入歌曲界面,返回的时候怎么返回你之前点击的列表. 解决方案 如果你是要返回点击之前的列表,只需要将当前这个列表finish掉 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPkgaqM.html" rel="bookmark" class="title">url编码问题</a>
					<div>
						问题描述 我http:localhost/book/图书.aspx用urlrewrietnet可以成功请求http:localhost/book.aspx?key=图书,可是我把图书编码后为http: ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8YLrVz.html" rel="bookmark" class="title">ns2-求NS2下 ，运动100个节点和Sink间的通信仿真，其tcl脚本怎么写？谢谢。</a>
					<div>
						问题描述 求NS2下 ,运动100个节点和Sink间的通信仿真,其tcl脚本怎么写?谢谢. NS2下 ,使用cbrgen生成了数据流,使用setdest设置了节点随机运动的场景, 但如何才能设置一个固 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pX0OPyp.html" rel="bookmark" class="title">php算法-请教crontab时间规则解析算法</a>
					<div>
						问题描述 请教crontab时间规则解析算法 给定下述linux的crontab时间规则表达式,如何用PHP程序(或其他语言)对其进行解析. 想要达到的目的是:给定任何一个表达式,根据当前时间,算出下 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pX0agAp.html" rel="bookmark" class="title">参数类型-同样一个方法，同样一个参数，得到结果不一样！！！！</a>
					<div>
						问题描述 同样一个方法,同样一个参数,得到结果不一样!!!! 我现在模糊查询,在测试类中单独调用方法,传进去参数,出来结果list有长度.但是SSh整合后,这个方法返回的list就没有了长度!!!(我 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQjJKGM.html" rel="bookmark" class="title">boost serialize 的一个坑</a>
					<div>
						使用boost序列化时,如果一个变量没有初始化,那么序列化会导致程序运行是crash					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boL6ogM.html" rel="bookmark" class="title">公司按计件算工资的方式，让很多求职者扭头就走</a>
					<div>
						从富士康园区最新公告栏上看到,从6月1日开始,上调最低工资标准从900到1200元,一次性加薪幅度超过33%.按此计算,拥有80万员工大军的富士康仅此一项,每月新增支出就高达近2亿元,若把社保等各项数 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5QRk6p.html" rel="bookmark" class="title">快速掌握Node&period;js环境的安装与运行方法&lowbar;node&period;js</a>
					<div>
						安装程序NodeJS 提供了一些安装程序,都可以在 nodejs.org 这里下载并安装. Windows 系统下,选择和系统版本匹配的 .msi 后缀的安装文件.Mac OS X 系统下,选择 .p ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOnWgRp.html" rel="bookmark" class="title">win&plus;apache&plus;php&plus;mysql&plus;phpmyadmin环境配置方法&lowbar;服务器</a>
					<div>
						win+apache+php+mysql环境配置2007-03-09 23:38由于要把学生在线的博客从asp转到php,需要以上的环境配置,在网上找了一些资料,但是都是比较老的,所以决定自己总结一下 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvYNAab.html" rel="bookmark" class="title">如何在 Linux 桌面上使用 Gifine 录制 GIF 动画？</a>
					<div>
						不用我说,你也知道 GIF 动画在过去几年发展迅速.人们经常在线上文字交流时使用动画增添趣味,同时这些动画在很多其他地方也显得非常有用. 在技术领域使用动画能够很快的描述出现的问题或者返回的错误.它也 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zen6wjb.html" rel="bookmark" class="title">互联网女皇：Android渗透速度比iPhone快6倍</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 腾讯科技讯 北京时间11月6日消息 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.029 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
